Antworten auf Ihre häufigsten Fragen

Infos zur Abschaltung der PHP Version 7.4 (ausführliche Version)

Wenn Ihnen die nachfolgenden Informationen zu technisch sind, klicken Sie hier.
You can find the english version here.

Warum wird PHP 7.4 deaktiviert?

Da PHP den Sicherheitssupport für PHP 7.4 zum November 2022 einstellt, werden wir die Version 7.4 zum 14.11.2022 deaktivieren.

Als Alternative steht Ihnen PHP 8.0 und PHP 8.1 zur Verfügung.


Werden in PHP 8.0 bzw. 8.1 wichtige Module entfernt?

Die relevantesten Änderungen zwischen den Versionen finden Sie hier:

Sonstige Änderungen bei PHP 8.0

Sonstige Änderungen bei PHP 8.1


Welche Webanwendungen sind mit PHP 8.0 bzw. PHP 8.1 kompatibel?

Die folgende Tabelle zeigt Ihnen, welche gängigen Webanwendungen in welcher Version mit PHP 8.0 bzw. PHP 8.1 kompatibel sind. Bitte beachten Sie, dass es hierbei um Versionsangaben für die Grundinstallation geht. Über installierte Plugins oder Themes können wir keine Aussage treffen.

Webanwendung / PHP Erweiterung

PHP 8.0 kompatible Version

PHP 8.1 kompatible Version

 
 

Contao

4.13

4.13

 

Contenido

-

-

 

Drupal

9.1.0

9.3.0

 

Joomla

3.9.23

3.10.8+

 

Magento

Nicht unterstützt

Nicht unterstützt

 

Magento 2

Nicht unterstützt

Nicht unterstützt

 

ModX Revolution

2.8.2

3.0.0+

 

ModX Evolution

Eingestellt

Eingestellt

 

NextCloud

-

-

 

OwnCloud

-

-

 

Oxid

6.3

6.5.x

 

Redaxo

5.12

5.13

 

Shopware

5.7/6.4 (Sodium Webserver)

6.4.x (Sodium/Webserver)

 

TYPO3 CMS

11.5.x

11.5.3

 

Wordpress

5.6

5.9

 

xt:Commerce

-

-

 
PHP Erweiterung
ionCubeLoader
nein ja  


wichtiger Hinweis zum ionCubeLoader:

Die Entwickler des ionCubeLoader haben inzwischen den ionCubeLoader für die PHP Version 8.1 bereitgestellt und diese aktuelle Version für PHP 8.1 steht Ihnen seit dem 14.09.2022 zur Verfügung. Für die PHP Version 8.0 steht der ionCubeLoader weiterhin nicht zur Verfügung.

Für weitere Informationen zu Ihren Webanwendungen und möglichen Alternativen kontaktieren Sie unseren Support. Gern werden wir mit Ihnen eine mögliche Lösung erarbeiten.

Was passiert, wenn ich nichts unternehme?

Sollten Sie nichts unternehmen, könnte es im schlimmsten Fall dazu kommen, dass Ihre Webseite nach der Abschaltung von PHP 7.4 nicht mehr erreichbar ist. Wir raten Ihnen daher, die Überprüfung Ihrer Webanwendungen und eventuell notwendige Aktualisierungen zeitnah durchzuführen.


Ich brauche Hilfe. An wen kann ich mich wenden?

Natürlich können Sie unseren Support rund um die Uhr kontaktieren. Dieser steht Ihnen mit Rat und Tat zur Seite. Wir bitten aber um Verständnis, dass wir Sie bei der Anpassung von selbst programmierten Skripten nicht unterstützen können. Bitte kontaktieren Sie in diesem Fall Ihren Webseiten-Administrator, den Entwickler der Webanwendung, oder fragen im jeweiligen Forum der Webanwendung nach.

 

 

 

 


English Version

If the following information is too technical for you, please click here.

Why will PHP 7.4 be disabled?

Since PHP will stop security support for PHP 7.4 in November 2022, we will deactivate version 7.4 on 14.11.2022.

PHP 8.0 and PHP 8.1 are available as alternatives.


Will important modules be removed in PHP 8.0 or 8.1?

You can find the relevant changes under the following links:

Other changes in PHP 8.0

Other changes in PHP 8.1


Which web applications are compatible with PHP 8.0 or PHP 8.1?

The following table shows you which common web applications are compatible with PHP 8.0 or PHP 8.1 in which version. Please note that this is about version information for the basic installation. We cannot make a statement about installed plugins or themes.

web application

PHP 8.0 compatible version

PHP 8.1 compatible version

 
 

Contao

4.13

4.13

 

Contenido

-

-

 

Drupal

9.1.0

9.3.0

 

Joomla

3.9.23

3.10.8+

 

Magento

Not compatible

Not compatible

 

Magento 2

Not compatible

Not compatible

 

ModX Revolution

2.8.2

3.0.0+

 

ModX Evolution

No longer developed

No longer developed

 

NextCloud

-

-

 

OwnCloud

-

-

 

Oxid

6.3

6.5.x

 

Redaxo

5.12

5.13

 

Shopware

5.7/6.4 (Sodium/Webserver)

6.4.x(Sodium/Webserver)

 

TYPO3 CMS

11.5.x

11.5.3

 

Wordpress

5.6

5.9

 

xt:Commerce

-

-

 

PHP extension: ionCubeLoader

not available available  


important note about ionCubeLoader:

In the meantime the developers of ionCubeLoader have provided ionCubeLoader for PHP version 8.1 and this current version for PHP 8.1 is available since 14.09.2022. For PHP version 8.0 the ionCubeLoader is still not available.

What happens if I do nothing?

In the worst case, if you do nothing, your website may become unavailable after PHP 7.4 has been switched off. We therefore advise you to check and update your web applications as soon as possible.


I need help. Who can I contact?

Of course you can contact our support around the clock. They are available to you with advice and assistance.
However, we ask for your understanding that we cannot support you with the adaptation of self written scripts. In this case, please contact your website administrator, the developer of the web application, or ask in the respective forum of the web application.


otto.friedrich@hosteurope.de xanthippe.ypsilante@hosteurope.de hercules.ikarus@hosteurope.de